Vulnerability CVE-2008-3285


Published: 2008-07-24   Modified: 2012-02-12

Description:
The Filesys::SmbClientParser module 2.7 and earlier for Perl allows remote SMB servers to execute arbitrary code via a folder name containing shell metacharacters.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
SmbClientParser Perl module allows remote command execution
ISecAuditors Sec...
25.07.2008

Type:

CWE-94

(Improper Control of Generation of Code ('Code Injection'))

Vendor: Alain barbet
Product: Filesys smbclientparser 
Version:
2.7
2.6
2.5
2.4
2.3
2.2
2.1

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete

 References:
http://securityreason.com/securityalert/4027
http://www.securityfocus.com/archive/1/494536/100/0/threaded
http://www.securityfocus.com/bid/30290
https://exchange.xforce.ibmcloud.com/vulnerabilities/43910

Copyright 2019, cxsecurity.com

 

Back to Top